import {Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {environment} from '@environments/environment';
import {Observable} from "rxjs";

@Injectable({providedIn: 'root'})
export class PagesService {
  constructor(private http: HttpClient) {
  }

  root(params?: {}): Observable<any> {
    return this.http.get(`${environment.apiUrl}/api/pages/root`, {params: params});
  }

  find(url: string, params?: any): Observable<any> {
    if (!params) params = {};
    params.url = url;
    return this.http.get(`${environment.apiUrl}/api/pages/find`, {params: params});
  }

  list(params?: {}): Observable<any> {
    return this.http.get(`${environment.apiUrl}/api/pages`, {params: params});
  }

  show(id: string, params?: {}): Observable<any> {
    return this.http.get<any>(`${environment.apiUrl}/api/pages/${id}`, {params: params});
  }

  delete(id: string): Observable<any> {
    return this.http.delete(`${environment.apiUrl}/api/pages/${id}`);
  }

}
